<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
include_once(get_language_filepath('plugin.lang.php', MENUBARMANAGER_PATH));

global $template, $conf;

// Ordre par dfaut: on re"charge la page d'accueil
if (isset($_POST['mm_default_order'])) {
    $q = 'UPDATE ' . CONFIG_TABLE . '
SET value="Links/on,Categories/on,Tags/on,special_categories/on,title_menu/on,identification/on"
WHERE param="MenubarManager"
LIMIT 1';
	pwg_query($q);
}

// Rafraichissement de la liste en rechargeant la page d'accueil
if (isset($_GET['action']) or isset($_POST['mm_default_order'])) {
	$r_uri = explode ('admin.php?' , $_SERVER['REQUEST_URI']);
    header('Location: http://' . $_SERVER['HTTP_HOST'] . $r_uri[0] . 'index.php?menubarmanager=refresh');
}

// Enregistrement de l'ordre
if (isset($_POST['submitOrder'])) {
    asort($_POST['MenuOrder'], SORT_NUMERIC);
    $neworder = array();
    foreach($_POST['MenuOrder'] as $key => $pos) {
        array_push ($neworder , $key . '/' . (isset($_POST['active'][$key]) ? 'on' : 'off'));
    }
    $conf['MenubarManager'] = implode(',' , $neworder);
    $query = '
UPDATE ' . CONFIG_TABLE . '
SET value="' . $conf['MenubarManager'] . '"
WHERE param="MenubarManager"
LIMIT 1';
    pwg_query($query);
    array_push($page['infos'], l10n('mbm_saved'));
}

// Affichage des menus et de leur position
$num = 0;
foreach(explode(',', $conf['MenubarManager']) as $key => $menus) {
    $menu = explode('/' , $menus);
    $template->assign_block_vars('menubar_manager',
        array('NAME' => l10n($menu[0]),
            'ID' => $menu[0],
            'VALUE' => $key * 10 + 10,
            'ACTIVE' => ($menu[1] == 'on' ? 'checked="checked"' : ''),
            'CLASS' => ($num++ % 2 == 1) ? 'row2' : 'row1'));
}

$template->set_filename('plugin_admin_content', MENUBARMANAGER_PATH . 'admin/admin.tpl');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');

?>