<?php
/*
Plugin Name: Menubar Manager
Version: 1.7.e
Description: Permet d'organiser le menubar/Manage your menubar
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=164
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('MENUBARMANAGER_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

function set_menubar_manager_data($plugin, $tpl_code, $default_pos = 'end')
{
    global $conf, $mm_tpl_code_list;

    $array = explode (',' , $conf['MenubarManager']);

    if (!in_array("$plugin/on", $array) and !in_array("$plugin/off", $array)) {
        $default_pos == 'begin' ? array_unshift($array, $plugin . '/on') : array_push($array, $plugin . '/on');
        $conf['MenubarManager'] = implode(',', $array);
        pwg_query('UPDATE ' . CONFIG_TABLE . ' SET value="' . $conf['MenubarManager'] . '" WHERE param="MenubarManager" LIMIT 1');
    }
    $mm_tpl_code_list[$plugin] = $tpl_code;
}

function menubar_manager_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'Menubar Manager',
            'URL' => get_admin_plugin_menu_link(MENUBARMANAGER_PATH . 'admin/admin.php') . '&amp;action=refresh'));
    return $menu;
}

function menubar_manager()
{
    include_once(MENUBARMANAGER_PATH . 'menubar_manager.php');
}

add_event_handler('get_admin_plugin_menu_links', 'menubar_manager_admin_menu');
add_event_handler('loc_end_menubar', 'menubar_manager', 60);

?>